@echo off

: GMT script for plotting spectrogram + time series (24.6.02)
: -----------------------------------------------------------
gmtset MEASURE_UNIT cm PAPER_MEDIA A4
gmtset BASEMAP_TYPE plain
gmtset HEADER_FONT_SIZE 18 ANOT_FONT_SIZE 14 LABEL_FONT_SIZE 16 TICK_LENGTH 0.1

: plot time series (scale ages)
: -----------------------------

: d180 ==> @~d@~@+18@+O

gawk '{if ($1 != "#") print $1/1.0e3, $2}' env_test.dat > dat.xy
psxy -JX15/4 -R0/2/-1.2/1.2 -Ba0.5:"Age [My]":/a1:"Amplitude":WSne dat.xy -P -K -X3 -Y12 > tf_plot.ps

: set input file; scale data such that max(x) and max(y) are of order one
: this step results in a 1:1 aspect ratio for triangulation
: -----------------------------------------------------------------------
gawk '{if ($1 != "#") print $1/1.0e3, $2*1.0e3, $3}' env_test.tf > in.xyz

triangulate in.xyz -Gout.grd -I0.01/0.2 -R0/2/0/20. > nul
:makecpt -Crainbow -T0/1/0.02 > level.cpt
makecpt -Chaxby -T0/1.0/0.02 > level.cpt
psbasemap -JX15/8 -R0/2./0/20. -Bf0.5/5.0:"Frequency [Cycles/My]"::."100-ky Step (Welch Window, WFac = 4)":Wesn  -K -O -P -Y4.5 >> tf_plot.ps
grdimage out.grd -JX -Clevel.cpt  -P -K -O  >> tf_plot.ps
psscale -D7.5/-4/15/0.5h -Clevel.cpt -B0.2:"Amplitude": -L -Y-4 -O -U/-2/-9.5 >> tf_plot.ps

del dat.xy
del in.xyz
del level.cpt
del out.grd
